# -*- coding: utf-8 -*-

from django.contrib import admin

from photo.models import PhotosInfo, UUIDInfo


class UUIDInfoAdmin(admin.ModelAdmin):
    list_display = ('uuid', 'lensman_id', 'status', 'created_at', 'updated_at')
    list_filter = ('lensman_id', 'status')


class PhotosInfoAdmin(admin.ModelAdmin):
    list_display = ('lensman_id', 'session_id', 'photo_id', 'p_photo_path', 'm_photo_path', 'l_photo_path', 'r_photo_path', 'status', 'created_at', 'updated_at')
    list_filter = ('lensman_id', 'status')


admin.site.register(UUIDInfo, UUIDInfoAdmin)
admin.site.register(PhotosInfo, PhotosInfoAdmin)
